Package com.sun.jna.platform.linux

# Class XAttr.ssize_t

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.linux.XAttr.ssize_t

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Enclosing interface:
  XAttr

public static class XAttr.ssize_t extends IntegerType

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final XAttr.ssize_t`
`ZERO`

## Constructor Summary

Constructors
Constructor
Description
`ssize_t()`
`ssize_t(long value)`

## Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ZERO

public static final XAttr.ssize_t ZERO

## Constructor Details

### ssize_t

public ssize_t()

### ssize_t

public ssize_t(long value)